# UserInfoAccountsInner

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | Pointer to **string** | Ідентифікатор рахунку | [optional] 
**SendId** | Pointer to **string** | Ідентифікатор для сервісу https://send.monobank.ua/{sendId} | [optional] 
**Balance** | Pointer to **float32** | Баланс рахунку в мінімальних одиницях валюти (копійках, центах) | [optional] 
**CreditLimit** | Pointer to **float32** | Кредитний ліміт | [optional] 
**Type** | Pointer to **string** | Тип рахунку | [optional] 
**CurrencyCode** | Pointer to **float32** | Код валюти рахунку відповідно ISO 4217 | [optional] 
**CashbackType** | Pointer to **string** | Тип кешбеку який нараховується на рахунок | [optional] 
**MaskedPan** | Pointer to [**Array**](array.md) | Перелік замаскованних номерів карт (більше одного може бути у преміальних карт) | [optional] 
**Iban** | Pointer to **string** | IBAN рахунку | [optional] 

## Methods

### NewUserInfoAccountsInner

`func NewUserInfoAccountsInner() *UserInfoAccountsInner`

NewUserInfoAccountsInner instantiates a new UserInfoAccountsInner object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewUserInfoAccountsInnerWithDefaults

`func NewUserInfoAccountsInnerWithDefaults() *UserInfoAccountsInner`

NewUserInfoAccountsInnerWithDefaults instantiates a new UserInfoAccountsInner object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set

### GetId

`func (o *UserInfoAccountsInner) GetId() string`

GetId returns the Id field if non-nil, zero value otherwise.

### GetIdOk

`func (o *UserInfoAccountsInner) GetIdOk() (*string, bool)`

GetIdOk returns a tuple with the Id field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetId

`func (o *UserInfoAccountsInner) SetId(v string)`

SetId sets Id field to given value.

### HasId

`func (o *UserInfoAccountsInner) HasId() bool`

HasId returns a boolean if a field has been set.

### GetSendId

`func (o *UserInfoAccountsInner) GetSendId() string`

GetSendId returns the SendId field if non-nil, zero value otherwise.

### GetSendIdOk

`func (o *UserInfoAccountsInner) GetSendIdOk() (*string, bool)`

GetSendIdOk returns a tuple with the SendId field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetSendId

`func (o *UserInfoAccountsInner) SetSendId(v string)`

SetSendId sets SendId field to given value.

### HasSendId

`func (o *UserInfoAccountsInner) HasSendId() bool`

HasSendId returns a boolean if a field has been set.

### GetBalance

`func (o *UserInfoAccountsInner) GetBalance() float32`

GetBalance returns the Balance field if non-nil, zero value otherwise.

### GetBalanceOk

`func (o *UserInfoAccountsInner) GetBalanceOk() (*float32, bool)`

GetBalanceOk returns a tuple with the Balance field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetBalance

`func (o *UserInfoAccountsInner) SetBalance(v float32)`

SetBalance sets Balance field to given value.

### HasBalance

`func (o *UserInfoAccountsInner) HasBalance() bool`

HasBalance returns a boolean if a field has been set.

### GetCreditLimit

`func (o *UserInfoAccountsInner) GetCreditLimit() float32`

GetCreditLimit returns the CreditLimit field if non-nil, zero value otherwise.

### GetCreditLimitOk

`func (o *UserInfoAccountsInner) GetCreditLimitOk() (*float32, bool)`

GetCreditLimitOk returns a tuple with the CreditLimit field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetCreditLimit

`func (o *UserInfoAccountsInner) SetCreditLimit(v float32)`

SetCreditLimit sets CreditLimit field to given value.

### HasCreditLimit

`func (o *UserInfoAccountsInner) HasCreditLimit() bool`

HasCreditLimit returns a boolean if a field has been set.

### GetType

`func (o *UserInfoAccountsInner) GetType() string`

GetType returns the Type field if non-nil, zero value otherwise.

### GetTypeOk

`func (o *UserInfoAccountsInner) GetTypeOk() (*string, bool)`

GetTypeOk returns a tuple with the Type field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetType

`func (o *UserInfoAccountsInner) SetType(v string)`

SetType sets Type field to given value.

### HasType

`func (o *UserInfoAccountsInner) HasType() bool`

HasType returns a boolean if a field has been set.

### GetCurrencyCode

`func (o *UserInfoAccountsInner) GetCurrencyCode() float32`

GetCurrencyCode returns the CurrencyCode field if non-nil, zero value otherwise.

### GetCurrencyCodeOk

`func (o *UserInfoAccountsInner) GetCurrencyCodeOk() (*float32, bool)`

GetCurrencyCodeOk returns a tuple with the CurrencyCode field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetCurrencyCode

`func (o *UserInfoAccountsInner) SetCurrencyCode(v float32)`

SetCurrencyCode sets CurrencyCode field to given value.

### HasCurrencyCode

`func (o *UserInfoAccountsInner) HasCurrencyCode() bool`

HasCurrencyCode returns a boolean if a field has been set.

### GetCashbackType

`func (o *UserInfoAccountsInner) GetCashbackType() string`

GetCashbackType returns the CashbackType field if non-nil, zero value otherwise.

### GetCashbackTypeOk

`func (o *UserInfoAccountsInner) GetCashbackTypeOk() (*string, bool)`

GetCashbackTypeOk returns a tuple with the CashbackType field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetCashbackType

`func (o *UserInfoAccountsInner) SetCashbackType(v string)`

SetCashbackType sets CashbackType field to given value.

### HasCashbackType

`func (o *UserInfoAccountsInner) HasCashbackType() bool`

HasCashbackType returns a boolean if a field has been set.

### GetMaskedPan

`func (o *UserInfoAccountsInner) GetMaskedPan() Array`

GetMaskedPan returns the MaskedPan field if non-nil, zero value otherwise.

### GetMaskedPanOk

`func (o *UserInfoAccountsInner) GetMaskedPanOk() (*Array, bool)`

GetMaskedPanOk returns a tuple with the MaskedPan field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetMaskedPan

`func (o *UserInfoAccountsInner) SetMaskedPan(v Array)`

SetMaskedPan sets MaskedPan field to given value.

### HasMaskedPan

`func (o *UserInfoAccountsInner) HasMaskedPan() bool`

HasMaskedPan returns a boolean if a field has been set.

### GetIban

`func (o *UserInfoAccountsInner) GetIban() string`

GetIban returns the Iban field if non-nil, zero value otherwise.

### GetIbanOk

`func (o *UserInfoAccountsInner) GetIbanOk() (*string, bool)`

GetIbanOk returns a tuple with the Iban field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetIban

`func (o *UserInfoAccountsInner) SetIban(v string)`

SetIban sets Iban field to given value.

### HasIban

`func (o *UserInfoAccountsInner) HasIban() bool`

HasIban returns a boolean if a field has been set.


[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


