# UserInfoJarsInner

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | Pointer to **string** | Ідентифікатор банки | [optional] 
**SendId** | Pointer to **string** | Ідентифікатор для сервісу https://send.monobank.ua/{sendId} | [optional] 
**Title** | Pointer to **string** | Назва банки | [optional] 
**Description** | Pointer to **string** | Опис банки | [optional] 
**CurrencyCode** | Pointer to **float32** | Код валюти банки відповідно ISO 4217 | [optional] 
**Balance** | Pointer to **float32** | Баланс банки в мінімальних одиницях валюти (копійках, центах) | [optional] 
**Goal** | Pointer to **float32** | Цільова сума для накопичення в банці в мінімальних одиницях валюти (копійках, центах) | [optional] 

## Methods

### NewUserInfoJarsInner

`func NewUserInfoJarsInner() *UserInfoJarsInner`

NewUserInfoJarsInner instantiates a new UserInfoJarsInner object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewUserInfoJarsInnerWithDefaults

`func NewUserInfoJarsInnerWithDefaults() *UserInfoJarsInner`

NewUserInfoJarsInnerWithDefaults instantiates a new UserInfoJarsInner object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set

### GetId

`func (o *UserInfoJarsInner) GetId() string`

GetId returns the Id field if non-nil, zero value otherwise.

### GetIdOk

`func (o *UserInfoJarsInner) GetIdOk() (*string, bool)`

GetIdOk returns a tuple with the Id field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetId

`func (o *UserInfoJarsInner) SetId(v string)`

SetId sets Id field to given value.

### HasId

`func (o *UserInfoJarsInner) HasId() bool`

HasId returns a boolean if a field has been set.

### GetSendId

`func (o *UserInfoJarsInner) GetSendId() string`

GetSendId returns the SendId field if non-nil, zero value otherwise.

### GetSendIdOk

`func (o *UserInfoJarsInner) GetSendIdOk() (*string, bool)`

GetSendIdOk returns a tuple with the SendId field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetSendId

`func (o *UserInfoJarsInner) SetSendId(v string)`

SetSendId sets SendId field to given value.

### HasSendId

`func (o *UserInfoJarsInner) HasSendId() bool`

HasSendId returns a boolean if a field has been set.

### GetTitle

`func (o *UserInfoJarsInner) GetTitle() string`

GetTitle returns the Title field if non-nil, zero value otherwise.

### GetTitleOk

`func (o *UserInfoJarsInner) GetTitleOk() (*string, bool)`

GetTitleOk returns a tuple with the Title field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetTitle

`func (o *UserInfoJarsInner) SetTitle(v string)`

SetTitle sets Title field to given value.

### HasTitle

`func (o *UserInfoJarsInner) HasTitle() bool`

HasTitle returns a boolean if a field has been set.

### GetDescription

`func (o *UserInfoJarsInner) GetDescription() string`

GetDescription returns the Description field if non-nil, zero value otherwise.

### GetDescriptionOk

`func (o *UserInfoJarsInner) GetDescriptionOk() (*string, bool)`

GetDescriptionOk returns a tuple with the Description field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetDescription

`func (o *UserInfoJarsInner) SetDescription(v string)`

SetDescription sets Description field to given value.

### HasDescription

`func (o *UserInfoJarsInner) HasDescription() bool`

HasDescription returns a boolean if a field has been set.

### GetCurrencyCode

`func (o *UserInfoJarsInner) GetCurrencyCode() float32`

GetCurrencyCode returns the CurrencyCode field if non-nil, zero value otherwise.

### GetCurrencyCodeOk

`func (o *UserInfoJarsInner) GetCurrencyCodeOk() (*float32, bool)`

GetCurrencyCodeOk returns a tuple with the CurrencyCode field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetCurrencyCode

`func (o *UserInfoJarsInner) SetCurrencyCode(v float32)`

SetCurrencyCode sets CurrencyCode field to given value.

### HasCurrencyCode

`func (o *UserInfoJarsInner) HasCurrencyCode() bool`

HasCurrencyCode returns a boolean if a field has been set.

### GetBalance

`func (o *UserInfoJarsInner) GetBalance() float32`

GetBalance returns the Balance field if non-nil, zero value otherwise.

### GetBalanceOk

`func (o *UserInfoJarsInner) GetBalanceOk() (*float32, bool)`

GetBalanceOk returns a tuple with the Balance field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetBalance

`func (o *UserInfoJarsInner) SetBalance(v float32)`

SetBalance sets Balance field to given value.

### HasBalance

`func (o *UserInfoJarsInner) HasBalance() bool`

HasBalance returns a boolean if a field has been set.

### GetGoal

`func (o *UserInfoJarsInner) GetGoal() float32`

GetGoal returns the Goal field if non-nil, zero value otherwise.

### GetGoalOk

`func (o *UserInfoJarsInner) GetGoalOk() (*float32, bool)`

GetGoalOk returns a tuple with the Goal field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetGoal

`func (o *UserInfoJarsInner) SetGoal(v float32)`

SetGoal sets Goal field to given value.

### HasGoal

`func (o *UserInfoJarsInner) HasGoal() bool`

HasGoal returns a boolean if a field has been set.


[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


