# CurrencyInfoInner

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**CurrencyCodeA** | Pointer to **float32** | Код валюти рахунку відповідно ISO 4217 | [optional] 
**CurrencyCodeB** | Pointer to **float32** | Код валюти рахунку відповідно ISO 4217 | [optional] 
**Date** | Pointer to **float32** | Час курсу в секундах в форматі Unix time | [optional] 
**RateSell** | Pointer to **float32** |  | [optional] 
**RateBuy** | Pointer to **float32** |  | [optional] 
**RateCross** | Pointer to **float32** |  | [optional] 

## Methods

### NewCurrencyInfoInner

`func NewCurrencyInfoInner() *CurrencyInfoInner`

NewCurrencyInfoInner instantiates a new CurrencyInfoInner object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewCurrencyInfoInnerWithDefaults

`func NewCurrencyInfoInnerWithDefaults() *CurrencyInfoInner`

NewCurrencyInfoInnerWithDefaults instantiates a new CurrencyInfoInner object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set

### GetCurrencyCodeA

`func (o *CurrencyInfoInner) GetCurrencyCodeA() float32`

GetCurrencyCodeA returns the CurrencyCodeA field if non-nil, zero value otherwise.

### GetCurrencyCodeAOk

`func (o *CurrencyInfoInner) GetCurrencyCodeAOk() (*float32, bool)`

GetCurrencyCodeAOk returns a tuple with the CurrencyCodeA field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetCurrencyCodeA

`func (o *CurrencyInfoInner) SetCurrencyCodeA(v float32)`

SetCurrencyCodeA sets CurrencyCodeA field to given value.

### HasCurrencyCodeA

`func (o *CurrencyInfoInner) HasCurrencyCodeA() bool`

HasCurrencyCodeA returns a boolean if a field has been set.

### GetCurrencyCodeB

`func (o *CurrencyInfoInner) GetCurrencyCodeB() float32`

GetCurrencyCodeB returns the CurrencyCodeB field if non-nil, zero value otherwise.

### GetCurrencyCodeBOk

`func (o *CurrencyInfoInner) GetCurrencyCodeBOk() (*float32, bool)`

GetCurrencyCodeBOk returns a tuple with the CurrencyCodeB field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetCurrencyCodeB

`func (o *CurrencyInfoInner) SetCurrencyCodeB(v float32)`

SetCurrencyCodeB sets CurrencyCodeB field to given value.

### HasCurrencyCodeB

`func (o *CurrencyInfoInner) HasCurrencyCodeB() bool`

HasCurrencyCodeB returns a boolean if a field has been set.

### GetDate

`func (o *CurrencyInfoInner) GetDate() float32`

GetDate returns the Date field if non-nil, zero value otherwise.

### GetDateOk

`func (o *CurrencyInfoInner) GetDateOk() (*float32, bool)`

GetDateOk returns a tuple with the Date field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetDate

`func (o *CurrencyInfoInner) SetDate(v float32)`

SetDate sets Date field to given value.

### HasDate

`func (o *CurrencyInfoInner) HasDate() bool`

HasDate returns a boolean if a field has been set.

### GetRateSell

`func (o *CurrencyInfoInner) GetRateSell() float32`

GetRateSell returns the RateSell field if non-nil, zero value otherwise.

### GetRateSellOk

`func (o *CurrencyInfoInner) GetRateSellOk() (*float32, bool)`

GetRateSellOk returns a tuple with the RateSell field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetRateSell

`func (o *CurrencyInfoInner) SetRateSell(v float32)`

SetRateSell sets RateSell field to given value.

### HasRateSell

`func (o *CurrencyInfoInner) HasRateSell() bool`

HasRateSell returns a boolean if a field has been set.

### GetRateBuy

`func (o *CurrencyInfoInner) GetRateBuy() float32`

GetRateBuy returns the RateBuy field if non-nil, zero value otherwise.

### GetRateBuyOk

`func (o *CurrencyInfoInner) GetRateBuyOk() (*float32, bool)`

GetRateBuyOk returns a tuple with the RateBuy field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetRateBuy

`func (o *CurrencyInfoInner) SetRateBuy(v float32)`

SetRateBuy sets RateBuy field to given value.

### HasRateBuy

`func (o *CurrencyInfoInner) HasRateBuy() bool`

HasRateBuy returns a boolean if a field has been set.

### GetRateCross

`func (o *CurrencyInfoInner) GetRateCross() float32`

GetRateCross returns the RateCross field if non-nil, zero value otherwise.

### GetRateCrossOk

`func (o *CurrencyInfoInner) GetRateCrossOk() (*float32, bool)`

GetRateCrossOk returns a tuple with the RateCross field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetRateCross

`func (o *CurrencyInfoInner) SetRateCross(v float32)`

SetRateCross sets RateCross field to given value.

### HasRateCross

`func (o *CurrencyInfoInner) HasRateCross() bool`

HasRateCross returns a boolean if a field has been set.


[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


