# UserInfo

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**ClientId** | Pointer to **string** | Ідентифікатор клієнта (збігається з id для send.monobank.ua) | [optional] 
**Name** | Pointer to **string** | Ім&#39;я клієнта | [optional] 
**WebHookUrl** | Pointer to **string** | URL для надсиляння подій по зміні балансу рахунку | [optional] 
**Permissions** | Pointer to **string** | Перелік прав, які які надає сервіс (1 літера на 1 permission). | [optional] 
**Accounts** | Pointer to [**[]UserInfoAccountsInner**](UserInfoAccountsInner.md) | Перелік доступних рахунків | [optional] 
**Jars** | Pointer to [**[]UserInfoJarsInner**](UserInfoJarsInner.md) | Перелік банок | [optional] 

## Methods

### NewUserInfo

`func NewUserInfo() *UserInfo`

NewUserInfo instantiates a new UserInfo object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewUserInfoWithDefaults

`func NewUserInfoWithDefaults() *UserInfo`

NewUserInfoWithDefaults instantiates a new UserInfo object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set

### GetClientId

`func (o *UserInfo) GetClientId() string`

GetClientId returns the ClientId field if non-nil, zero value otherwise.

### GetClientIdOk

`func (o *UserInfo) GetClientIdOk() (*string, bool)`

GetClientIdOk returns a tuple with the ClientId field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetClientId

`func (o *UserInfo) SetClientId(v string)`

SetClientId sets ClientId field to given value.

### HasClientId

`func (o *UserInfo) HasClientId() bool`

HasClientId returns a boolean if a field has been set.

### GetName

`func (o *UserInfo) GetName() string`

GetName returns the Name field if non-nil, zero value otherwise.

### GetNameOk

`func (o *UserInfo) GetNameOk() (*string, bool)`

GetNameOk returns a tuple with the Name field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetName

`func (o *UserInfo) SetName(v string)`

SetName sets Name field to given value.

### HasName

`func (o *UserInfo) HasName() bool`

HasName returns a boolean if a field has been set.

### GetWebHookUrl

`func (o *UserInfo) GetWebHookUrl() string`

GetWebHookUrl returns the WebHookUrl field if non-nil, zero value otherwise.

### GetWebHookUrlOk

`func (o *UserInfo) GetWebHookUrlOk() (*string, bool)`

GetWebHookUrlOk returns a tuple with the WebHookUrl field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetWebHookUrl

`func (o *UserInfo) SetWebHookUrl(v string)`

SetWebHookUrl sets WebHookUrl field to given value.

### HasWebHookUrl

`func (o *UserInfo) HasWebHookUrl() bool`

HasWebHookUrl returns a boolean if a field has been set.

### GetPermissions

`func (o *UserInfo) GetPermissions() string`

GetPermissions returns the Permissions field if non-nil, zero value otherwise.

### GetPermissionsOk

`func (o *UserInfo) GetPermissionsOk() (*string, bool)`

GetPermissionsOk returns a tuple with the Permissions field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetPermissions

`func (o *UserInfo) SetPermissions(v string)`

SetPermissions sets Permissions field to given value.

### HasPermissions

`func (o *UserInfo) HasPermissions() bool`

HasPermissions returns a boolean if a field has been set.

### GetAccounts

`func (o *UserInfo) GetAccounts() []UserInfoAccountsInner`

GetAccounts returns the Accounts field if non-nil, zero value otherwise.

### GetAccountsOk

`func (o *UserInfo) GetAccountsOk() (*[]UserInfoAccountsInner, bool)`

GetAccountsOk returns a tuple with the Accounts field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetAccounts

`func (o *UserInfo) SetAccounts(v []UserInfoAccountsInner)`

SetAccounts sets Accounts field to given value.

### HasAccounts

`func (o *UserInfo) HasAccounts() bool`

HasAccounts returns a boolean if a field has been set.

### GetJars

`func (o *UserInfo) GetJars() []UserInfoJarsInner`

GetJars returns the Jars field if non-nil, zero value otherwise.

### GetJarsOk

`func (o *UserInfo) GetJarsOk() (*[]UserInfoJarsInner, bool)`

GetJarsOk returns a tuple with the Jars field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetJars

`func (o *UserInfo) SetJars(v []UserInfoJarsInner)`

SetJars sets Jars field to given value.

### HasJars

`func (o *UserInfo) HasJars() bool`

HasJars returns a boolean if a field has been set.


[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


